Package org.mozilla.javascript

## Class NativeArray.StringLikeComparator

- java.lang.Object
- - org.mozilla.javascript.NativeArray.StringLikeComparator

- All Implemented Interfaces:
    `java.util.Comparator<java.lang.Object>`
  Enclosing class:
    NativeArray

      public static final class NativeArray.StringLikeComparator
      extends java.lang.Object
      implements java.util.Comparator<java.lang.Object>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringLikeComparator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compare​(java.lang.Object x, java.lang.Object y)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Constructor Detail

    - #### StringLikeComparator

          public StringLikeComparator()

  - ### Method Detail

    - #### compare

          public int compare​(java.lang.Object x,
                             java.lang.Object y)

      Specified by:
        `compare` in interface `java.util.Comparator<java.lang.Object>`